Save device file hashes (internal)

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
POST /extraction/device/file-hash

Desktop plumbing: stores or updates the hash of each listed backup file for the device on this computer, and records the counts in the device activity log.

application/json

Body Required

  • deviceId string Required
  • deviceType string Required

    Values are unknown, android, ios, facebook_dump, instagram_dump, threads_dump, or email.

  • systemId string Required
  • files array[object] Required
    Hide files attributes Show files attributes object
    • fileName string Required
    • fileHash string Required
  • appVersion string

    App version

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • message string Required
      • isSuccess boolean Required
    • statusCode number Required
    • timestamp string(date-time) Required
POST /extraction/device/file-hash
curl \
 --request POST 'http://api.example.com/extraction/device/file-hash' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "deviceId": "string",
  "deviceType": "unknown",
  "systemId": "string",
  "files": [
    {
      "fileName": "string",
      "fileHash": "string"
    }
  ],
  "appVersion": "string"
}'
Request examples
{
  "deviceId": "string",
  "deviceType": "unknown",
  "systemId": "string",
  "files": [
    {
      "fileName": "string",
      "fileHash": "string"
    }
  ],
  "appVersion": "string"
}
Response examples (201)
{
  "data": {
    "message": "Done",
    "isSuccess": true
  },
  "statusCode": 201,
  "timestamp": "2026-01-15T10:15:00.000Z"
}